Skip to content

Metric Records Catalogue

Request

This endpoint lists all available record IDs that can be used to fetch data in Get Metric Records Data

Security
ApiKeyAuth
Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

GET
/beta/analytics/records
curl -i -X GET \
  'https://dev.dixa.io/beta/analytics/records?pageLimit=0&pageKey=string' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The catalogue of metric records

Bodyapplication/json
dataArray of objects(MetricRecordMetadata)
metaobject(PaginationLinks)
Response
{ "data": [ {}, {} ] }